JcePKCS12MacCalculatorBuilder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pkcs.jcajce

## Class JcePKCS12MacCalculatorBuilder

- java.lang.Object
- - org.bouncycastle.pkcs.jcajce.JcePKCS12MacCalculatorBuilder

- All Implemented Interfaces:
    PKCS12MacCalculatorBuilder

      public class JcePKCS12MacCalculatorBuilder
      extends java.lang.Object
      implements PKCS12MacCalculatorBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcePKCS12MacCalculatorBuilder()`
    `JcePKCS12MacCalculatorBuilder(org.bouncycastle.asn1.ASN1ObjectIdentifier hashAlgorithm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MacCalculator` | `build(char[] password)`
    `org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `getDigestAlgorithmIdentifier()`
    `JcePKCS12MacCalculatorBuilder` | `setIterationCount(int iterationCount)`
    `JcePKCS12MacCalculatorBuilder` | `setProvider(java.security.Provider provider)`
    `JcePKCS12MacCalculatorBuilder` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcePKCS12MacCalculatorBuilder

          public JcePKCS12MacCalculatorBuilder()

    - #### JcePKCS12MacCalculatorBuilder

          public JcePKCS12MacCalculatorBuilder(org.bouncycastle.asn1.ASN1ObjectIdentifier hashAlgorithm)

  - ### Method Detail

    - #### setProvider

          public JcePKCS12MacCalculatorBuilder setProvider(java.security.Provider provider)

    - #### setProvider

          public JcePKCS12MacCalculatorBuilder setProvider(java.lang.String providerName)

    - #### setIterationCount

          public JcePKCS12MacCalculatorBuilder setIterationCount(int iterationCount)

    - #### getDigestAlgorithmIdentifier

          public org.bouncycastle.asn1.x509.AlgorithmIdentifier getDigestAlgorithmIdentifier()

      Specified by:
        `getDigestAlgorithmIdentifier` in interface `PKCS12MacCalculatorBuilder`

    - #### build

          public MacCalculator build(char[] password)
                              throws OperatorCreationException

      Specified by:
        `build` in interface `PKCS12MacCalculatorBuilder`
      Throws:
        `OperatorCreationException`